# Uses of Class
org.apache.solr.client.solrj.impl.HttpSolrClientBase

Packages that use HttpSolrClientBase
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of HttpSolrClientBase in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj with parameters of type HttpSolrClientBase
Modifier and Type
Method
Description
`final T`
SolrRequest.`processWithBaseUrl(HttpSolrClientBase client, String baseUrl, String collection)`
Send this request to a `SolrClient` and return the response

## Uses of HttpSolrClientBase in org.apache.solr.client.solrj.impl

Classes in org.apache.solr.client.solrj.impl with type parameters of type HttpSolrClientBase
Modifier and Type
Class
Description
`class`
`HttpClusterStateProvider<C extends HttpSolrClientBase>`
A CSP that uses Solr HTTP APIs.
`class`
`HttpSolrClientBuilderBase<B extends HttpSolrClientBuilderBase<?,?>,C extends HttpSolrClientBase>`
`static class`
`LBSolrClient.Builder<C extends HttpSolrClientBase>`
Subclasses of HttpSolrClientBase in org.apache.solr.client.solrj.impl
Modifier and Type
Class
Description
`class`
`HttpJdkSolrClient`
A SolrClient implementation that communicates to a Solr server using the built-in Java 11+ Http Client.
Fields in org.apache.solr.client.solrj.impl declared as HttpSolrClientBase
Modifier and Type
Field
Description
`protected HttpSolrClientBase`
ConcurrentUpdateBaseSolrClient.Builder.`client`
`protected HttpSolrClientBase`
CloudSolrClient.Builder.`httpClient`
`protected final HttpSolrClientBase`
LBAsyncSolrClient.`solrClient`
Methods in org.apache.solr.client.solrj.impl that return HttpSolrClientBase
Modifier and Type
Method
Description
`protected HttpSolrClientBase`
CloudSolrClient.Builder.`createOrGetHttpClient()`
`HttpSolrClientBase`
ConcurrentUpdateBaseSolrClient.Builder.`getClient()`
`protected HttpSolrClientBase`
LBAsyncSolrClient.`getClient(LBSolrClient.Endpoint endpoint)`
`HttpSolrClientBase`
CloudHttp2SolrClient.`getHttpClient()`
Methods in org.apache.solr.client.solrj.impl with parameters of type HttpSolrClientBase
Modifier and Type
Method
Description
`protected ClusterStateProvider`
CloudSolrClient.Builder.`createHttpClusterStateProvider(HttpSolrClientBase httpClient)`
`protected LBSolrClient`
CloudSolrClient.Builder.`createOrGetLbClient(HttpSolrClientBase myClient)`
`CloudSolrClient.Builder`
CloudSolrClient.Builder.`withHttpClient(HttpSolrClientBase httpSolrClient)`
Set the internal Solr HTTP client.
Constructors in org.apache.solr.client.solrj.impl with parameters of type HttpSolrClientBase
Modifier
Constructor
Description
``
`Builder(String baseSolrUrl, HttpSolrClientBase client)`
Initialize a Builder object, based on the provided URL and client.
``
`Builder(String baseSolrUrl, HttpSolrClientBase client, boolean closeHttpClient)`
Initialize a Builder object, based on the provided arguments.